# -*- coding: utf-8 -*-
"""
ajax module for jmb.survey
"""
from dajax.core import Dajax
from dajaxice.decorators import dajaxice_register

from jmb.survey.models import Question

@dajaxice_register
def on_click_required(request, *args, **kwargs):
    dajax = Dajax()
    try:
        element = kwargs['jmb_survey_question']
        question_id = element.split('_')[-1]
        question = Question.objects.get(id=question_id)
        question.required = not question.required
        question.save()
        image = """<img alt="False" src="/static/admin/img/icon-%s.gif">""" % ('yes' if question.required else 'no')
        dajax.assign("#"+element, 'innerHTML', image)
    except Exception, e:
        print e
    return dajax.json()
