# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

survey_menu_item = items.MenuItem(
    # GENERAL
    _('Survey'), 
    reverse('admin:app_list', kwargs={'app_label': 'survey'}),
    children=[
        items.MenuItem(
            _('Survey'), '',
            children=[
                items.MenuItem(_('Add Question'), reverse('admin:survey_question_add',)),
                items.MenuItem(_('Question List'), reverse('admin:survey_question_changelist',) ),
            ]
        ),
    ]
)


register_menu(survey_menu_item, 'jmb.survey')
